Description

MNodeTier1IT.testResourceMap_Checksum_Size_Consistency() is calculating bad checksums on content coming from James'

Member Node (OPENDAP implementation: http://ec2-54-209-147-188.compute-1.amazonaws.com:8080/DAPD1Servlet/d1/mn)

A quick-and-dirty test (posted to a temporary web-test) lists the checksums calculated for each of the 6 objects on the node:

identifier   MD5_cs   SHA-1_cs MD5_cs_w/out_wrapperIS

test.opendap.org/dataone_sdo_1/opendap/hyrax/data/nc/fnoc1.nc 04db94b528a2062ad21f9ace1c079b25 24096

1d3afb4218605ca39a16e6fc5ffdfe1544b1dd0a 24096 04db94b528a2062ad21f9ace1c079b25 24096

test.opendap.org/dataone_smo_1/opendap/hyrax/data/nc/fnoc1.nc 0e4cbb90472d3fa7855542d031650a9d 5354

f892f60fbe08596d117188dcbae4f8310d6a20b9 5354 0e4cbb90472d3fa7855542d031650a9d 5354

test.opendap.org/dataone_ore_1/opendap/hyrax/data/nc/fnoc1.nc c49734cefcf206f6c64d6977b8e91b65 3341

c142beb9dc05dac351a987888c11e145ef73d0df 3341 c49734cefcf206f6c64d6977b8e91b65 3341

test.opendap.org/dataone_sdo_1/opendap/hyrax/data/nc/coads_climatology.nc 460b3caa66f50548fc4dde85f85512bb 3114104

6c6d6a61c59778082d607ba036cbc47e9afce18b 3114104 460b3caa66f50548fc4dde85f85512bb 3114104

test.opendap.org/dataone_smo_1/opendap/hyrax/data/nc/coads_climatology.nc 76254577b74756a5ca6ce0020e81627d 10823

e4d5ca161366801d3cf565f281e4436bb3944e24 10823 76254577b74756a5ca6ce0020e81627d 10823

test.opendap.org/dataone_ore_1/opendap/hyrax/data/nc/coads_climatology.nc 24b9fcf1eb6c66e11adbe1d42efb7494 3521

afb0f631c59efef22c002209c09a87c4436fe4c6 3521 24b9fcf1eb6c66e11adbe1d42efb7494 3521

[for host http://ec2-54-209-147-188.compute-1.amazonaws.com:8080/DAPD1Servlet/d1/mn/v1 ]

checking the values by downloading via curl, then using openssl to calculate the checksum gives different checksums only for the ore

documents.

Running the MNTier1IT tests on a different machines (local machine (Mac) via Eclipse, as a Hudson job) doesn't reproduce the

problem, so the issue has something to do with the WebTester (all builds).  Possibly due to running from tomcat, or the java runtime

on that machine, or the .war classes included.

Maybe content is being translated on the way in?

History

#1 - 2014-07-30 16:20 - Rob Nahf

running MNodeTier1IT against mn-stage-ucsb-3.test.dataone.org/knb/d1/mn passes the test, so must be calculating the right checksum for other

nodes.  Could there be strange characters in the ec2 node ore documents?

#2 - 2014-07-30 18:34 - Rob Nahf

- Description updated

#3 - 2014-07-30 21:24 - Rob Nahf

- Status changed from New to Closed

- % Done changed from 50 to 100

LocalCache was turned on, so got an earlier value with a different modification date:
http://ec2-54-209-147-188.compute-1.amazonaws.com:8080/DAPD1Servlet/d1/mn
diff ~/software/tools/perl/oreFNCA.txt ~/ore.fnoc.1

10c10

<     2014-07-21T23:05:31.193Z/dcterms:modified 

<dcterms:modified rdf:datatype="http://www.w3.org/2001/XMLSchema#dateTime">2014-07-25T22:48:11.546Z</dcter

ms:modified>

 

38d37

< 

 

turned off LocalCache in default.common.test.properties (thought it was off by default, but did notice it turned on in the log files.)

Will deploy new tester that doesn't use the LocalCache.
